{ config, lib, ... }:
let
  cfg = config.programs.wezterm.rose-pine;
  enable = cfg.enable && config.programs.wezterm.enable;
in
{
  options.programs.wezterm.rose-pine = lib.rp.mkRosePineOpt { name = "wezterm"; };

  config.programs.wezterm.extraConfig = lib.mkIf enable ''
    local theme = wezterm.plugin.require('https://github.com/neapsix/wezterm').${cfg.flavor}

    config.colors = theme.colors()
    config.window_frame = theme.window_frame()
  '';
}
